
package icsTables;

import org.w3c.dom.*;

/**
 * Represents the MOC Behavior ICS Table
 * @author MC
 */
public class ICSMOCBehaviourTableModel extends ICSTableModel {
    
    /** Creates a new instance of ICSTableMOCBehaviour 
     * @param strXMLFile
     * */
    public ICSMOCBehaviourTableModel(String strXMLFile) {
        super(strXMLFile);
        init();
    }
    /**
     * @see icsTables.ICSTableModel#init()
     */
    public void init()
    {
    	strTitle = "MOC Behaviour ICS";
        strTableName = "Table 10.5";
        strDescription = "The MOC Behavior ICS specifies all implemented object methods that can be invoked by the ACTION service.";
        //strXmlFileName = "..\\xml\\ICS-Tool.xml";
        strXsltFileName = "..\\XSLT\\MocBehaviourIcs1.xsl";
    }
    /** Creates a new instance of ICSTableMOCBehaviour 
     * @param doc
     * */
    public ICSMOCBehaviourTableModel(Document doc) {
        super(doc);
        init();
    }
    
}
